Subject: [Dime] U-S-U exceeding G-S-U and RFC4006bis

From: Dave Dolson <[email-masked]>
Date: Mon, 27 Jun 2016 14:19:47 +0000

I propose that RFC4006bis include some clarification about reporting of used units.

The first paragraph of section 5.3 in RFC4006 says,
    "... a new Credit-
    Control-Request MUST be sent to the credit-control server when the
    credit reservation has been wholly consumed, or upon expiration of
    the Validity-Time."

In practice, a credit reservation is seldom precisely consumed. When the reservation is exceeded, it is exceeded by a non-zero amount.

The standard doesn't explicitly say whether the client may report a USU greater than the earlier GSU, but it seems to be implicitly allowed.

I propose adding this clarifying paragraph to section 5.3:

    In the case that the used units exceed the granted units at the time
    of reporting, the client SHOULD report all used units; if
    the client does not report all used units, it MUST save
    those used units for reporting in the next grant.

Later language in the section says, "The credit-control server MUST deduct the used amount from the end
user's account." I propose softening it to this:

    The credit-control server MUST deduct the used amount from the end
    user's account. In the case that the used units exceed the available
    credit, whether to allow the end-user into a deficit is a matter
    of local policy.

-Dave